=== debian/changelog ===
ros-indigo-cob-kinematics (0.6.6-1trusty) trusty; urgency=high

  * Merge pull request #133 <https://github.com/ipa320/cob_manipulation/issues/133> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #120 <https://github.com/ipa320/cob_manipulation/issues/120> from ipa-fxm/APACHE_license
    use license apache 2.0
  * updated author/maintainer
  * use license apache 2.0
  * Contributors: Felix Messmer, Mathias Lüdtke, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-kinematics (0.6.5-1trusty) trusty; urgency=high

  * Fix ikfast cmake
    * do not write plugins.xml in source space
    * added install tags
  * use xacro --inorder
  * Contributors: Mathias Lüdtke, ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-indigo-cob-kinematics (0.6.4-1trusty) trusty; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-kinematics (0.6.3-1trusty) trusty; urgency=high

  * fix dependencies
  * Contributors: ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-kinematics (0.6.2-1trusty) trusty; urgency=high

  * boost revision
  * migration to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * Contributors: ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-indigo-cob-kinematics (0.6.1-1trusty) trusty; urgency=high

  * beautify CMakeLists
  * Contributors: ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-kinematics (0.6.0-1trusty) trusty; urgency=high

  * add catkin_INCLUDE_DIRS to cob_kinematics
  * Merge pull request #43 <https://github.com/ipa320/cob_manipulation/issues/43> from ipa320/hydro_dev
    bringin updates from hydro_dev
  * Merge branch 'hydro_dev' into hydro_release_candidate
  * Merge branch 'hydro_dev' into hydro_release_candidate
  * 0.5.1
  * add changelogs
  * Contributors: Florian Weisshardt, Scott K Logan, ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-cob-kinematics (0.5.2-1trusty) trusty; urgency=high

  * update cob_moveit_config package for all robots
  * Contributors: Felix Messmer

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-kinematics (0.5.1-1trusty) trusty; urgency=high

  * Merge branch 'hydro_dev' into hydro_release_candidate
  * update package maintainer
  * Merge branch 'hydro_dev' into hydro_release_candidate
  * catkin_lint and install tags
  * add changelogs
  * removed a lot of code related to packages not available in hydro anymore
  * added lapack to deps
  * move cob_mmcontroller + groovy_updates
  * fix ikfast + cleanup
  * reduce solver_iterations for faster IK calculation
  * update package.xml
  * catkinize cob_kinematics + use kdl instead of lookat-IK + update moveit_configs
  * update CMakeLists
  * faster lookat_ik solver
  * speedup ik by reducing solver_iterations
  * lookat_ik_plugin
  * NO BUILD of kinematics
  * tweaked harmonization
  * added bound checking to harmonization
  * IK solver based on GT code
  * fixed linker problems
  * added ik10 ikfast plugin
  * added lock_redundant_joints argument to api functions
  * merge with mdl
  * ikfast plugin works now
  * added missing return statement
    fixed return value
  * fixed init
  * merge with ipa-mdl
  * removed outdated components that have moveit substitutes
  * export to moveit_core
  * adapted ikfast_plugin to moveit interface
  * switched to moveit dependencies
  * cob_kinematics: remove everything from CMakeLists that won't build properly (TODOs)
  * ikfast pluging are now included in cob_kinematics again
    Conflicts:
    cob_kinematics/manifest.xml
  * cob_kinematics: fixed plugin path
  * ikfast pluging are now included in cob_kinematics again
  * cob_kinematics: fixed plugin path
  * disabled IKfast plugins
  * added rosdep on liblapack-dev
  * temporarily not using ik-fast plugins - ToBeFixed
  * disabled kinematics_node, must be upated for fuerte
  * Merge remote-tracking branch 'origin-ipa-fxm/fuerte_dev' into fuerte_dev
    Conflicts: (solved)
    cob_manipulator/CMakeLists.txt
    cob_manipulator/manifest.xml
    lwa_arm_navigation/manifest.xml
  * moved kinematics_node from cob_manipulator to cob_kinematics
  * moved KDL plugin overlay from cob_manipulator to cob_kinematics
  * ikfast: debug options
  * ikfast: bug fixes
  * small changes
  * implemented generic searchPositionIK
  * introduced auto-magic IkSolutionListFiltered..
  * added JointSpaceStepper
  * support for consistency limits
  * desired_pose_callback checks
  * implemented getPositionFK
  * added URDF parsing, included IK header/ properties
  * auto-format
  * added license headers
  * lwa solver name fixed
  * fixed ikfast CMake chain
  * simplified electric to fuerte wrapper
  * added missing file
  * little parsing bug fix
  * adapted skeleton to work on electric and fuerte (hopefully)
  * added skeleton for the IKfast solver plugins
  * changed ur5 tip link to arm_wrist_3_link, since arm_ee_link is fixed
  * added configurations and soures for lbr,lwa and ur5
  * added ikfast build pipeline
  * added simple urdf to openrave xml converter
  * cob_ik_wapper now uses robot_state from planning_scene if available
  * prepared ik_wrapper for multiple joint state sources
  * enhanced IK wrapper
  * FK/IK/FK test for solving to tip link at pregrasp
  * fixed names parsing
  * fixed IK handling
  * added IK wrapper
  * new kinematics package
  * Contributors: Florian Weisshardt, Mathias Lüdtke, Witalij Siebert, ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Tue, 25 Mar 2014 23:00:00 -0000
