=== debian/control ===
Source: ros-indigo-cob-kinematics
Section: misc
Priority: extra
Maintainer: Felix Messmer <fxm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), liblapack-dev, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-tf-conversions, ros-indigo-urdf
Homepage: http://ros.org/wiki/cob_manipulation/
Standards-Version: 3.9.2

Package: ros-indigo-cob-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblapack-dev, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-tf-conversions, ros-indigo-urdf
Description: IK solvers and utilities for Care-O-bot
